Subject: Re: Draft v1.5.0 release notes

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 2 Jan 2007 03:23:06 -0500

David K?gedal <[email-masked]> wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > * Foreign SCM interfaces
> > 
> >   - git-svn now requires the Perl SVN:: libraries, the
> >     command-line backend was too slow and limited.
> > 
> >   - the 'commit' command has been renamed to 'set-tree', and
> >     'dcommit' is the recommended replacement for day-to-day
> >     work.
> 
> The second item in this list is misleading.  It states that the
> "comit" subcommand has been renamed.  But I don't believe it's the
> "commit" subcommand of the "git" command.  So what is it a subcommand
> to?

git-svn.  As in `git svn commit` is now `git svn set-tree`.

I agree with your point though.  My early readings of the above
quoted section just assumed git-svn, as I knew that was what Junio
was talking about.  Now that I read it again, I have to agree that
it is not quite as clear as I had originally thought.

-- 
Shawn.